> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registration Policy

> Whether re-registering this agent requires its own credential or a principal with update permission, independent of the global setting. Requires a provider-authenticated principal with read permission.



## OpenAPI

````yaml https://agentex.dev-sgp.scale.com/openapi.json get /agents/{agent_id}/registration-policy
openapi: 3.1.0
info:
  title: Agentex API
  version: 0.1.0
servers: []
security: []
paths:
  /agents/{agent_id}/registration-policy:
    get:
      tags:
        - Agents
      summary: Get Registration Policy
      description: >-
        Whether re-registering this agent requires its own credential or a
        principal with update permission, independent of the global setting.
        Requires a provider-authenticated principal with read permission.
      operationId: get_registration_policy_agents__agent_id__registration_policy_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrationPolicy'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RegistrationPolicy:
      properties:
        agent_id:
          type: string
          title: Agent Id
        require_authenticated_registration:
          type: boolean
          title: Require Authenticated Registration
      type: object
      required:
        - agent_id
        - require_authenticated_registration
      title: RegistrationPolicy
      description: The agent's current registration policy.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````